org.eclipse.jface.action

## Interface IContributionManagerOverrides

    public interface IContributionManagerOverrides

This interface is used by instances of `IContributionItem` to determine if the values for certain properties have been overriden by their manager.

This interface is internal to the framework; it should not be implemented outside the framework.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static String` `P_ENABLED` Id for the enabled property.

### Method Summary

All Methods Instance Methods Abstract Methods
`Integer` `getAccelerator(IContributionItem item)` This is not intended to be called outside of the workbench.
`String` `getAcceleratorText(IContributionItem item)` This is not intended to be called outside of the workbench.
`Boolean` `getEnabled(IContributionItem item)` Find out the enablement of the item
`String` `getText(IContributionItem item)` This is not intended to be called outside of the workbench.
`Boolean` `getVisible(IContributionItem item)` Visiblity override.

### Field Detail

#### P_ENABLED

    static final String P_ENABLED

Id for the enabled property. Value is `"enabled"`.

Since:
  2.0
See Also:
  Constant Field Values

### Method Detail

#### getEnabled

    Boolean getEnabled(IContributionItem item)

Find out the enablement of the item

Parameters:
  `item` - the contribution item for which the enable override value is determined
Returns:
  - `Boolean.TRUE` if the given contribution item should be enabled
  - `Boolean.FALSE` if the item should be disabled
  - `null` if the item may determine its own enablement
Since:
  2.0

#### getAccelerator

    Integer getAccelerator(IContributionItem item)

This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

Parameters:
  `item` - the contribution item for which the accelerator value is determined
Returns:
  the accelerator

#### getAcceleratorText

    String getAcceleratorText(IContributionItem item)

This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

Parameters:
  `item` - the contribution item for which the accelerator text is determined
Returns:
  the text for the accelerator

#### getText

    String getText(IContributionItem item)

This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

Parameters:
  `item` - the contribution item for which the text is determined
Returns:
  the text

#### getVisible

    Boolean getVisible(IContributionItem item)

Visiblity override.

Parameters:
  `item` - the contribution item in question
Returns:
  - `Boolean.TRUE` if the given contribution item should be visible
  - `Boolean.FALSE` if the item should not be visible
  - `null` if the item may determine its own visibility
Since:
  3.5